%{?!python_module:%define python_module() python3-%{**}}
Name:           python-nbclassic
Version:        0.2.6
Release:        %mkrel 5
Summary:        Jupyter Notebook as a Jupyter Server Extension
License:        BSD-3-Clause
URL:            https://github.com/jupyterlab/nbclassic
# The github archive has the tests
Source:         https://github.com/jupyterlab/nbclassic/archive/%{version}.tar.gz#/nbclassic-%{version}-gh.tar.gz
BuildRequires:  %{python_module jupyter-server >= 1.1}
BuildRequires:  jupyter-notebook
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       jupyter-nbclassic = %{version}
Requires:       python-jupyter-server >= 1.1
Requires:       python-notebook
# SECTION test requirements
#BuildRequires:  %{python_module pytest-tornasync}
#BuildRequires:  %{python_module pytest}
# /SECION
BuildArch:      noarch
Group:          Development/Python

%description
NBClassic runs the Jupyter Notebook frontend on the Jupyter Server backend.

This project prepares for a future where JupyterLab and other frontends switch
to Jupyter Server for their Python Web application backend. Using this package,
users can launch Jupyter Notebook, JupyterLab and other frontends side-by-side
on top of the new Python server backend.

%package -n jupyter-nbclassic
Summary:        Jupyter Notebook as a Jupyter Server Extension

%description -n jupyter-nbclassic
NBClassic runs the Jupyter Notebook frontend on the Jupyter Server backend.

This project prepares for a future where JupyterLab and other frontends switch
to Jupyter Server for their Python Web application backend. Using this package,
users can launch Jupyter Notebook, JupyterLab and other frontends side-by-side
on top of the new Python server backend.

This package contains the jupyterlab server configuration file

%package -n python3-nbclassic
Summary:        Jupyter Notebook as a Jupyter Server Extension

%description -n python3-nbclassic
NBClassic runs the Jupyter Notebook frontend on the Jupyter Server backend.

This project prepares for a future where JupyterLab and other frontends switch
to Jupyter Server for their Python Web application backend. Using this package,
users can launch Jupyter Notebook, JupyterLab and other frontends side-by-side
on top of the new Python server backend.

This package contains the jupyterlab server configuration file

%prep
%setup -q -n nbclassic-%{version}

%build
%py3_build

%install
%py3_install
install -m 644 -D -t %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d/ jupyter_server_config.d/*

%files -n python3-nbclassic
%doc README.md
%license LICENSE
%{_bindir}/jupyter-nbclassic
%{python_sitelib}/nbclassic
%{python_sitelib}/nbclassic*egg-info

%files -n jupyter-nbclassic
%license LICENSE
%config %{_sysconfdir}/jupyter/jupyter_server_config.d/nbclassic.json


%changelog
* Thu Nov 03 2022 papoteur <papoteur> 0.2.6-5.mga9
+ Revision: 1902026
- rebuild for fastjsonschema dependency

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.2.6-3.mga9
+ Revision: 1783668
- rebuild for python-3.10

* Thu Apr 08 2021 joequant <joequant> 0.2.6-2.mga9
+ Revision: 1714097
- fix python-nbclassic deps

* Wed Apr 07 2021 joequant <joequant> 0.2.6-1.mga9
+ Revision: 1713993
- fix deps
- imported package python-nbclassic

